%define oname   multi_json

Name:       ruby-%{oname}
Version:    1.15.0
Release:    %mkrel 1
Summary:    A gem to provide swappable JSON backends
License:    GPLv2+
Group:      Development/Ruby
URL:        https://github.com/intridea/multi_json
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A gem to provide swappable JSON backends utilizing Yajl::Ruby, the JSON gem,
ActiveSupport, or JSON pure.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc LICENSE.md README.md


%changelog
* Tue May 03 2022 pterjan <pterjan> 1.15.0-1.mga9
+ Revision: 1855682
- Update to 1.15.0

* Fri Mar 25 2022 umeabot <umeabot> 1.14.1-2.mga9
+ Revision: 1826633
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 1.14.1-1.mga8
+ Revision: 1561540
- Update to 1.14.1

* Wed Feb 12 2020 umeabot <umeabot> 1.13.1-3.mga8
+ Revision: 1507825
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.13.1-2.mga7
+ Revision: 1291020
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 pterjan <pterjan> 1.13.1-1.mga7
+ Revision: 1214660
- Update to 1.13.1

* Sun Aug 20 2017 pterjan <pterjan> 1.12.1-1.mga7
+ Revision: 1142134
- Update to 1.12.1

* Sun Dec 20 2015 mitya <mitya> 1.11.2-1.mga6
+ Revision: 912608
- Update to 1.11.2

* Wed Oct 15 2014 umeabot <umeabot> 1.10.1-3.mga5
+ Revision: 748409
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.1-2.mga5
+ Revision: 688872
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 1.10.1-1.mga5
+ Revision: 626691
- Update to 1.10.1

* Sat Dec 28 2013 pterjan <pterjan> 1.8.0-4.mga4
+ Revision: 562018
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.8.0-3.mga4
+ Revision: 561421
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.8.0-2.mga4
+ Revision: 538879
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 pterjan <pterjan> 1.8.0-1.mga4
+ Revision: 490856
- 1.8.0
- Disable signature

* Fri Sep 20 2013 pterjan <pterjan> 1.3.6-6.mga4
+ Revision: 482214
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.3.6-5.mga4
+ Revision: 480029
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.3.6-4.mga3
+ Revision: 396174
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.3.6-3.mga3
+ Revision: 381123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.3.6-2.mga3
+ Revision: 312141
- rebuild for new ruby

* Fri Aug 03 2012 dmorgan <dmorgan> 1.3.6-1.mga3
+ Revision: 278226
- New version 1.3.6

* Thu Jun 07 2012 shlomif <shlomif> 1.3.5-1.mga3
+ Revision: 256987
- New version 1.3.5

* Tue Feb 15 2011 shikamaru <shikamaru> 0.0.5-1.mga1
+ Revision: 51973
- imported package ruby-multi_json

